Bug 442338 - /usr/bin/cowbell script has wrong libdir on x86_64
/usr/bin/cowbell script has wrong libdir on x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cowbell (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Sindre Pedersen Bjørdal
Fedora Extras Quality Assurance
: Reopened, Triaged
: 445992 498498 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 09:54 EDT by Thomas J. Baker
Modified: 2009-12-18 01:06 EST (History)
7 users (show)

See Also:
Fixed In Version: 0.2.7.1-10.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:06:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2008-04-14 09:54:23 EDT
cowbell-0.2.7.1-9.fc9.x86_64 contains a helper script /usr/bin/cowbell that
points to the wrong libdir /usr/lib/cowbell instead of /usr/lib64/cowbell:

raptor> head /usr/bin/cowbell 
#!/bin/sh

libdir="/usr/lib/cowbell"
export LD_LIBRARY_PATH=${libdir}${LD_LIBRARY_PATH+:$LD_LIBRARY_PATH}

if [ -e ./cowbell.exe ] && [ -e ./Makefile.am ]; then
	echo "*** Running uninstalled cowbell.exe ***"
	ARGS="--debug"
	THIS_EXE="./cowbell.exe" 
else
raptor> 

Fixing the script so it points to /usr/lib64/cowbell makes it work.
Comment 1 Peter Gordon 2008-04-22 21:06:02 EDT
I see this, too. 
Comment 2 Fedora Update System 2008-04-24 13:40:16 EDT
cowbell-0.2.7.1-10.fc8 has been submitted as an update for Fedora 8
Comment 3 Fedora Update System 2008-04-29 16:58:06 EDT
cowbell-0.2.7.1-10.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cowbell'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3382
Comment 4 Fedora Update System 2008-05-10 09:49:36 EDT
cowbell-0.2.7.1-10.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Thomas J. Baker 2008-06-11 10:09:02 EDT
This bug is back with cowbell-0.3-0.svn34.4.2.fc9.x86_64.
Comment 6 Sindre Pedersen Bjørdal 2008-08-03 09:42:43 EDT
*** Bug 445992 has been marked as a duplicate of this bug. ***
Comment 7 Thomas J. Baker 2008-11-15 09:44:14 EST
This problem persists with cowbell-0.3-0.svn34.4.fc10.x86_64. Be nice to get this fixed for F10.
Comment 8 Bug Zapper 2008-11-25 21:12:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Larry O'Leary 2009-05-16 21:17:55 EDT
Seems like this is still an issue.  Maybe we should consider removing broken packages from the main repos and make them only available in testing and source.
Comment 10 Sindre Pedersen Bjørdal 2009-05-29 09:39:28 EDT
*** Bug 498498 has been marked as a duplicate of this bug. ***
Comment 11 Matt Hirsch 2009-07-06 01:56:31 EDT
This is still an issue in Fedora 11. The package I get is still the F10 cowbell-0.3-0.svn34.4.fc10.x86_64
Comment 12 jeremy boyd 2009-09-23 00:51:55 EDT
still a bug in F11 64 bit.
cowbell-0.3-0.svn34.4.fc10.x86_64
Comment 13 Dylan Swift 2009-09-29 05:52:04 EDT
Still a bug in fc10 x86_64
cowbell-0.3-0.svn34.4.fc10.x86_64
Comment 14 Bug Zapper 2009-11-18 05:11:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2009-12-18 01:06:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.